unit untAboutBox;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, Messages, ShellAPI;

type
  TfrmAboutBox = class(TForm)
    imgProg: TImage;
    bvlRamka: TBevel;
    lblCopyR: TLabel;
    lblVer: TLabel;
    lblPpogram: TLabel;
    lblNameProg: TLabel;
    Teh: TStaticText;
    lblVersion: TLabel;
    btnOK: TButton;
    lblAvtor: TLabel;
    imgTehLogo: TImage;
    procedure TehClick(Sender: TObject);
    procedure TehMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    Procedure WndProc(Var Msg : TMessage); Override;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

procedure ShowAboutBox;

const
  myemail = 'tehnokrat@yandex.ru';
  Ver = '3r0';

var
  frmAboutBox: TfrmAboutBox;
  TehHand: HWND;

implementation

{$R *.DFM}

procedure ShowAboutBox;
begin
  with TfrmAboutBox.Create(Application) do
    try
      ShowModal;
    finally
      Free;
    end;
end;

procedure TfrmAboutBox.WndProc(var msg : TMessage);
//   
begin
  with msg do
    if (msg=WM_SETCURSOR) then   // WM_SETCURSOR
    begin
      //(LOWORD(LParam));
      {     Abs . 
       ,   , :
     "Comparing signed and unsigned types - widened both operands"}
      if (wParam<>Abs(TehHand)) and (Teh.Font.Color<>clPurple) then
      begin
        Teh.Font.Color:=clPurple;
        Teh.Font.Style:=[fsBold];
      end;
    end;
  Inherited;
end;

procedure TfrmAboutBox.TehClick(Sender: TObject);
//       
begin
  ShellExecute(Application.Handle, 'open', 'mailto:'+myemail ,nil, nil, 0);
end;


procedure TfrmAboutBox.TehMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
//      " "
begin
  if Teh.Font.Color=clPurple then
  begin
    Teh.Font.Color:=clGreen; // clTeal; //clMaroon;
    Teh.Font.Style:=[fsBold, fsUnderline];
  end;
end;

procedure TfrmAboutBox.FormCreate(Sender: TObject);
begin
  lblVersion.Caption := Ver;
end;

end.

