unit untNewProc;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls;

type
  TfrmNewProc = class(TForm)
    OKBtn: TButton;
    CancelBtn: TButton;
    Label1: TLabel;
    edtNameProc: TEdit;
    grpbxPlace: TGroupBox;
    rdbtnAddToEnd: TRadioButton;
    rdbtnAddToActive: TRadioButton;
    CkBxDouble: TCheckBox;
    procedure OKBtnClick(Sender: TObject);
    procedure CancelBtnClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure edtNameProcKeyPress(Sender: TObject; var Key: Char);
    procedure edtNameProcDblClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

function ShowNewProc(const ANameCurr: string; var ANameProc: string; var dubl: Boolean): boolean;

var
  frmNewProc: TfrmNewProc;
  Rez: Boolean;
  NameCurr: string;

implementation

uses untMain;

{$R *.DFM}

function ShowNewProc(const ANameCurr: string; var ANameProc: string; var dubl: Boolean): boolean;
begin //      ,  True   
  NameCurr := ANameCurr;
  with TfrmNewProc.Create(Application) do
    try
      CkBxDouble.Checked := MiscOpt.ProcDouble;
      rdbtnAddToEnd.Checked := MiscOpt.AddToEnd;
      rdbtnAddToActive.Checked := not rdbtnAddToEnd.Checked;
      edtNameProc.Text := ANameProc;
      ShowModal;
      Result := rdbtnAddToEnd.Checked;
      if Rez then ANameProc := edtNameProc.Text
             else ANameProc := '';
      dubl := CkBxDouble.Checked;
      MiscOpt.ProcDouble := CkBxDouble.Checked;
      MiscOpt.AddToEnd := rdbtnAddToEnd.Checked;
    finally
      Free;
    end;
end;

procedure TfrmNewProc.OKBtnClick(Sender: TObject);
begin
  Rez := True;
end;

procedure TfrmNewProc.CancelBtnClick(Sender: TObject);
begin
  Rez := False;
end;

procedure TfrmNewProc.FormActivate(Sender: TObject);
begin
  edtNameProc.SetFocus;
end;

procedure TfrmNewProc.edtNameProcKeyPress(Sender: TObject; var Key: Char);
begin
  if HiWord(GetKeyState(VK_CONTROL))=0 then //     Ctrl
    if not(Key in ['a'..'z', 'A'..'Z', '0'..'9', '_', #8]) then Key := #0;
end;

procedure TfrmNewProc.edtNameProcDblClick(Sender: TObject);
begin
  edtNameProc.Text := NameCurr;
end;

end.
